// ===========================================
// ===========================================
// Section with modifiable variables
/*
If you want to add a puzzle, you just need to add in the right category (dimensions) as a result of those already present.
The order is important. You must follow the same order as the associated image files and watermark file. If you want to become the fourth puzzle first, you must rename the image files and associated change the order in the variable below.
*/
Config.PUZZLES = {

  12: [
    { pieces: [], sound: '2-mitten-p', isDone: false },
    { pieces: [], sound: '9-pencil-l', isDone: false },
    { pieces: [], sound: '11-muskrat-v', isDone: false },
    { pieces: [], sound: '13-larva-q', isDone: false }
  ],

  16: [
    { pieces: [], sound: '3-sock-t', isDone: false },
    { pieces: [], sound: '5-walrus-g', isDone: false },
    { pieces: [], sound: '7-nasak-n', isDone: false },
    { pieces: [], sound: '12-cloudberry-r', isDone: false },
    { pieces: [], sound: '14-nose-ng', isDone: false }
  ],

  20: [
    { pieces: [], sound: '4-kamik-k', isDone: false },
    { pieces: [], sound: '6-bib-m', isDone: false },
    { pieces: [], sound: '8-broom-s', isDone: false },
    { pieces: [], sound: '10-accordian-j', isDone: false }
  ]

};

// The radius zone of detection when a user drag and drop a piece
Config.RADIUS = 45; // Expressed in pixels

// Time before the dialog appears when the puzzle is completed (it gives us time to play the sound)
Config.TIME_BEFORE_DIALOG = 1000; // Expressed in milliseconds

// Time before the green background with the mouse appears at the end of a completed puzzle
Config.TIME_BEFORE_GREEN_SCREEN = 2100;

// Time before going back to home screen after every puzzle in the set are done
Config.TIME_BEFORE_GOING_HOME_SCREEN = 3000; // Expressed in milliseconds


// ===========================================
// ===========================================
// Please, do not touch Config beyond this point
Config.TARGET_POSITION = {
  12 :  {
    big: [
      { top: 181, left: 323 },
      { top: 181, left: 403 },
      { top: 181, left: 529 },
      { top: 181, left: 632 },

      { top: 268, left: 323 },
      { top: 244, left: 426 },
      { top: 244, left: 506 },
      { top: 268, left: 609 },

      { top: 331, left: 323 },
      { top: 354, left: 403 },
      { top: 331, left: 529 },
      { top: 354, left: 632 }
    ],

    medium: [
      { top: 151, left: 269 },
      { top: 151, left: 336 },
      { top: 151, left: 442 },
      { top: 151, left: 527 },

      { top: 223, left: 269 },
      { top: 203, left: 355 },
      { top: 203, left: 422 },
      { top: 223, left: 508 },

      { top: 276, left: 270 },
      { top: 295, left: 336 },
      { top: 276, left: 441 },
      { top: 295, left: 527 }
    ],

    small: [
      { top: 106, left: 188 },
      { top: 106, left: 234 },
      { top: 106, left: 308 },
      { top: 106, left: 369 },

      { top: 157, left: 188 },
      { top: 143, left: 248 },
      { top: 143, left: 295 },
      { top: 157, left: 355 },

      { top: 194, left: 188 },
      { top: 208, left: 235 },
      { top: 194, left: 309 },
      { top: 208, left: 369 }
    ]
  },

  16 : {
    big: [
      { top: 107, left: 329 },
      { top: 107, left: 408 },
      { top: 107, left: 535 },
      { top: 107, left: 638 },

      { top: 194, left: 329 },
      { top: 170, left: 432 },
      { top: 170, left: 511 },
      { top: 194, left: 638 },

      { top: 257, left: 329 },
      { top: 281, left: 408 },
      { top: 257, left: 535 },
      { top: 281, left: 638 },

      { top: 367, left: 329 },
      { top: 343, left: 408 },
      { top: 367, left: 511 },
      { top: 367, left: 638 }
    ],

    medium: [
      { top: 89, left: 275 },
      { top: 89, left: 341 },
      { top: 89, left: 447 },
      { top: 89, left: 532 },

      { top: 162, left: 275 },
      { top: 142, left: 361 },
      { top: 142, left: 427 },
      { top: 162, left: 532 },

      { top: 215, left: 275 },
      { top: 235, left: 340 },
      { top: 215, left: 446 },
      { top: 235, left: 532 },

      { top: 307, left: 275 },
      { top: 287, left: 341 },
      { top: 307, left: 427 },
      { top: 307, left: 532 }
    ],

    small: [
      { top: 62, left: 192 },
      { top: 62, left: 238 },
      { top: 62, left: 312 },
      { top: 62, left: 373 },

      { top: 113, left: 192 },
      { top: 99, left: 252 },
      { top: 99, left: 298 },
      { top: 113, left: 373 },

      { top: 150, left: 192 },
      { top: 164, left: 238 },
      { top: 150, left: 312 },
      { top: 164, left: 372 },

      { top: 215, left: 192 },
      { top: 201, left: 238 },
      { top: 215, left: 298 },
      { top: 215, left: 373 }
    ]
  },

  20 : {
    big: [
      { top: 70, left: 372 },
      { top: 70, left: 429 },
      { top: 70, left: 528 },
      { top: 70, left: 585 },

      { top: 162, left: 372 },
      { top: 141, left: 450 },
      { top: 162, left: 528 },
      { top: 141, left: 606 },

      { top: 234, left: 372 },
      { top: 234, left: 429 },
      { top: 234, left: 507 },
      { top: 234, left: 606 },

      { top: 326, left: 372 },
      { top: 348, left: 429 },
      { top: 326, left: 528 },
      { top: 348, left: 585 },

      { top: 440, left: 372 },
      { top: 419, left: 450 },
      { top: 440, left: 507 },
      { top: 440, left: 606 }
    ],

    medium: [
      { top: 59, left: 310 },
      { top: 59, left: 357 },
      { top: 59, left: 440 },
      { top: 59, left: 487 },

      { top: 135, left: 310 },
      { top: 118, left: 375 },
      { top: 135, left: 440 },
      { top: 118, left: 505 },

      { top: 195, left: 310 },
      { top: 195, left: 357 },
      { top: 195, left: 422 },
      { top: 195, left: 505 },

      { top: 272, left: 310 },
      { top: 290, left: 357 },
      { top: 272, left: 439 },
      { top: 290, left: 487 },

      { top: 367, left: 310 },
      { top: 350, left: 375 },
      { top: 367, left: 422 },
      { top: 367, left: 505 }
    ],

    small: [
      { top: 41, left: 216 },
      { top: 41, left: 251 },
      { top: 41, left: 309 },
      { top: 41, left: 342 },

      { top: 95, left: 216 },
      { top: 83, left: 263 },
      { top: 95, left: 309 },
      { top: 83, left: 354 },

      { top: 137, left: 216 },
      { top: 137, left: 251 },
      { top: 137, left: 297 },
      { top: 137, left: 354 },

      { top: 190, left: 216 },
      { top: 202, left: 250 },
      { top: 190, left: 307 },
      { top: 202, left: 341 },

      { top: 257, left: 216 },
      { top: 244, left: 262 },
      { top: 257, left: 295 },
      { top: 257, left: 353 }
    ]
  }
}

Config.PUZZLES_NUMBER_PER_SIZE = { 12: 0, 16: 0, 20: 0 }; //

/*
- The number of pixels by which a piece may be over the grid in the center and over another piece.
- Expressed in pixels
*/
Config.OVERLAP = {

  big: {
    12: { piece: 0, watermark: 0 },
    16: { piece: 25, watermark: 25 },
    20: { piece: 30, watermark: 20 }
  },

  medium: {
    12: { piece: 0, watermark: 0 },
    16: { piece: 20, watermark: 25 },
    20: { piece: 20, watermark: 15 }
  },

  small: {
    12: { piece: 0, watermark: 0 },
    16: { piece: 25, watermark: 30 },
    20: { piece: 23, watermark: 30 }
  }
};

