PuzzleGame.StageElement = new Class({

  initialize: function(opts) {
    var this_ = this;

    this.element = this.element || opts['element'];
    this.objectElement = $(this.element)
    this.children = opts['children'] || [];
    this.att = opts['att'] || {}

    if (opts['styles']) {
      this.setStyles(opts['styles']);
    }

    $(this.element).addClass('stage-element');

    if (opts['className']) {
      $(this.element).addClass( opts['className'] );
    }

    if ( opts.interactive !== false ) {
      // this.element.tabIndex = 0;
      this.interactive = true;
      this.element.className += ' interactive';
    } else {
      this.interactive = false;
    }

    if (opts['click']) {
      $(this_.element).on('click', function() {
        $(this).addClass('clicked')
        if (this_.interactive) {
          opts['click'](this_);
          // opts['click'].call(this_);
        }
      });
    }

    if (opts['mouseenter']) {
      $(this_.element).on('mouseenter', function() {
        $(this).addClass('mouseenter')
        if (this_.interactive) {
          opts['mouseenter'](this_);
          // opts['click'].call(this_);
        }
      });
    }

    if (opts['mouseleave']) {
      $(this_.element).on('mouseleave', function() {
        $(this).addClass('mouseleave')
        if (this_.interactive) {
          opts['mouseleave'](this_);
          // opts['click'].call(this_);
        }
      });
    }

    if (opts['mousedown']) {
      $(this_.element).on('mousedown', function() {
        $(this).addClass('mousedown')
        if (this_.interactive) {
          opts['mousedown'](this_);
          // opts['click'].call(this_);
        }
      });
    }
    
    if (opts['mouseup']) {
      $(this_.element).on('mouseup', function() {
        $(this).addClass('mouseup')
        if (this_.interactive) {
          opts['mouseup'](this_);
          // opts['click'].call(this_);
        }
      });
    }

    if (opts['autoAppend'] !== false) {
      $(PuzzleGame.STAGE).append(this.element);
      if (opts['show'] != null && opts['show'] == false) {
        this.hide()
      }
    }

    this.children.each(function(e) {
      $(e.element).addClass('child');
      $(this_.element).append(e.element);
    });
  },

  setStyles: function(styleProperties) {
    for (var prop in styleProperties) {
      if (!styleProperties.hasOwnProperty(prop)) { continue }

      this.element.style[ prop ] = styleProperties[ prop ];
    }
  },

  show: function() {
    $(this.element).setStyle('display', 'block')
  },

  hide: function() {
    $(this.element).setStyle('display', 'none')
  },
  activate: function() {
    this.interactive = true;
    $(this.element).addClass('interactive');
  },

  deactivate: function() {
    this.interactive = false;
    $(this.element).removeClass('interactive');
  },

  destroy: function() {
    $(this.element).remove();
    this.children.each('destroy');
  }

});
